# Class: Command

Defined in: | node_modules/grunt-codo/node_modules/codo/lib/command.coffee

## Direct Known Subclasses

CodoCommand

## Variables Summary

options =

      [
        {
          name: 'help',
          alias: 'h',
          describe: 'Show this help'
        }, {
          name: 'version',
          describe: 'Show version'
        }, {
          name: 'extension',
          alias: 'x',
          describe: 'Coffee files extension',
          "default": 'coffee'
        }, {
          name: 'output',
          alias: 'o',
          describe: 'The output directory',
          "default": './doc'
        }, {
          name: 'output-dir'
        }, {
          name: 'theme',
          describe: 'The theme to be used',
          "default": 'default'
        }, {
          name: 'name',
          alias: 'n',
          describe: 'The project name used'
        }, {
          name: 'readme',
          alias: 'r',
          describe: 'The readme file used'
        }, {
          name: 'quiet',
          alias: 'q',
          describe: 'Supress warnings',
          boolean: true,
          "default": false
        }, {
          name: 'verbose',
          alias: 'v',
          describe: 'Show parsing errors',
          boolean: true,
          "default": false
        }, {
          name: 'undocumented',
          alias: 'u',
          describe: 'List undocumented objects',
          boolean: true,
          "default": false
        }, {
          name: 'closure',
          describe: 'Try to parse closure-like block comments',
          boolean: true,
          "default": false
        }, {
          name: 'debug',
          alias: 'd',
          boolean: true
        }
      ]

## Class Method Summary

- . (void) run()

## Instance Method Summary

- # (void) extendOptimist(optimist, defaults = {}, options = {})
- # (void) lookupTheme(name)
- # (void) prepareOptions(optimist, defaults)
- # (void) collectStats(environment)
- # (void) generate()

## Class Method Details

. (void) run()

## Constructor Details

# (void) constructor()

## Instance Method Details

# (void) extendOptimist(optimist, defaults = {}, options = {})

# (void) lookupTheme(name)

# (void) prepareOptions(optimist, defaults)

# (void) collectStats(environment)

# (void) generate()

Quickly fuzzy find classes, mixins, methods, file:

- T Open fuzzy finder dialog

Control the navigation frame:

- L Toggle list view
- C Show class list
- I Show mixin list
- F Show file list
- M Show method list
- E Show extras list

You can focus and blur the search input:

- S Focus search input
- Esc Blur search input